package com.bonus.material.basic.service;

import com.bonus.common.core.web.domain.AjaxResult;
import com.bonus.material.basic.domain.BmQrBoxInfo;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * @Author ma_sh
 * @create 2024/12/10 17:26
 */
public interface BmQrBoxService {

    /**
     * 查询二维码标准箱管理列表
     * @param bmQrBoxInfo
     * @return
     */
    List<BmQrBoxInfo> selectBmQrBoxInfoList(BmQrBoxInfo bmQrBoxInfo);

    /**
     * 新增二维码标准箱管理
     * @param bmQrBoxInfo
     * @return
     */
    AjaxResult insertBmQrcodeInfo(BmQrBoxInfo bmQrBoxInfo);

    /**
     * 下载二维码标准箱
     * @param bmQrBoxInfo
     * @param response
     * @return
     */
    void download(BmQrBoxInfo bmQrBoxInfo, HttpServletResponse response);

    /**
     * 修改二维码标准箱管理
     * @param bmQrBoxInfo
     * @return
     */
    AjaxResult updateBmQrcodeInfo(BmQrBoxInfo bmQrBoxInfo);

    /**
     * 删除二维码标准箱管理
     * @param bmQrBoxInfo
     * @return
     */
    AjaxResult deleteById(BmQrBoxInfo bmQrBoxInfo);

    /**
     * 查询二维码标准箱管理列表
     * @param bmQrBoxInfo
     * @return
     */
    List<BmQrBoxInfo> getList(BmQrBoxInfo bmQrBoxInfo);
}
